GrailsPageResponseWrapper (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.sitemesh
[Java] Class GrailsPageResponseWrapper

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          javax.servlet.http.HttpServletResponseWrapper
              org.codehaus.groovy.grails.web.sitemesh.GrailsPageResponseWrapper

    public class GrailsPageResponseWrapper
    extends javax.servlet.http.HttpServletResponseWrapper

Authors:
  Graeme Rocher

Since:
  1.0.4

Field Summary

Fields inherited from class javax.servlet.http.HttpServletResponseWrapper
SC_CONTINUE, SC_SWITCHING_PROTOCOLS, SC_OK, SC_CREATED, SC_ACCEPTED, SC_NON_AUTHORITATIVE_INFORMATION, SC_NO_CONTENT, SC_RESET_CONTENT, SC_PARTIAL_CONTENT, SC_MULTIPLE_CHOICES, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_FOUND, SC_SEE_OTHER, SC_NOT_MODIFIED, SC_USE_PROXY, SC_TEMPORARY_REDIRECT, SC_BAD_REQUEST, SC_UNAUTHORIZED, SC_PAYMENT_REQUIRED, SC_FORBIDDEN, SC_NOT_FOUND, SC_METHOD_NOT_ALLOWED, SC_NOT_ACCEPTABLE, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_TIMEOUT, SC_CONFLICT, SC_GONE, SC_LENGTH_REQUIRED, SC_PRECONDITION_FAILED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_URI_TOO_LONG, SC_UNSUPPORTED_MEDIA_TYPE, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_EXPECTATION_FAILED, SC_INTERNAL_SERVER_ERROR, SC_NOT_IMPLEMENTED, SC_BAD_GATEWAY, SC_SERVICE_UNAVAILABLE, SC_GATEWAY_TIMEOUT, SC_HTTP_VERSION_NOT_SUPPORTED

Constructor Summary
`GrailsPageResponseWrapper(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, com.opensymphony.module.sitemesh.PageParserSelector parserSelector)`

Method Summary
`void` | `activateSiteMesh(java.lang.String contentType, java.lang.String encoding)`
`void` | `addHeader(java.lang.String name, java.lang.String value)` Prevent content-length being set if page is parseable.
`protected void` | `clearBuffer()`
`void` | `deactivateSiteMesh()`
`void` | `flushBuffer()` Prevent buffer from being flushed if this is a page being parsed.
`char[]` | `getContents()`
`javax.servlet.ServletOutputStream` | `getOutputStream()`
`com.opensymphony.module.sitemesh.Page` | `getPage()`
`java.io.PrintWriter` | `getWriter()`
`boolean` | `isGspSitemeshActive()`
`boolean` | `isSitemeshActive()`
`boolean` | `isUsingStream()`
`void` | `sendError(int sc)`
`void` | `sendError(int sc, java.lang.String msg)`
`void` | `sendRedirect(java.lang.String location)`
`void` | `setContentLength(int contentLength)` Prevent content-length being set if page is parseable.
`void` | `setContentType(java.lang.String type)` Set the content-type of the request and store it so it can be passed to the com.opensymphony.module.sitemesh.PageParser.
`void` | `setHeader(java.lang.String name, java.lang.String value)` Prevent content-length being set if page is parseable.
`void` | `setStatus(int sc)` If 'not modified' (304) HTTP status is being sent - then abort parsing, as there shouldn't be any body

Methods inherited from class javax.servlet.http.HttpServletResponseWrapper
javax.servlet.http.HttpServletResponseWrapper#getHeaders(java.lang.String), javax.servlet.http.HttpServletResponseWrapper#getHeader(java.lang.String), javax.servlet.http.HttpServletResponseWrapper#getStatus(), javax.servlet.http.HttpServletResponseWrapper#setStatus(int, java.lang.String), javax.servlet.http.HttpServletResponseWrapper#setStatus(int), javax.servlet.http.HttpServletResponseWrapper#addCookie(javax.servlet.http.Cookie), javax.servlet.http.HttpServletResponseWrapper#setHeader(java.lang.String, java.lang.String), javax.servlet.http.HttpServletResponseWrapper#addHeader(java.lang.String, java.lang.String), javax.servlet.http.HttpServletResponseWrapper#containsHeader(java.lang.String), javax.servlet.http.HttpServletResponseWrapper#encodeURL(java.lang.String), javax.servlet.http.HttpServletResponseWrapper#encodeRedirectURL(java.lang.String), javax.servlet.http.HttpServletResponseWrapper#encodeUrl(java.lang.String), javax.servlet.http.HttpServletResponseWrapper#encodeRedirectUrl(java.lang.String), javax.servlet.http.HttpServletResponseWrapper#sendError(int), javax.servlet.http.HttpServletResponseWrapper#sendError(int, java.lang.String), javax.servlet.http.HttpServletResponseWrapper#sendRedirect(java.lang.String), javax.servlet.http.HttpServletResponseWrapper#setDateHeader(java.lang.String, long), javax.servlet.http.HttpServletResponseWrapper#addDateHeader(java.lang.String, long), javax.servlet.http.HttpServletResponseWrapper#setIntHeader(java.lang.String, int), javax.servlet.http.HttpServletResponseWrapper#addIntHeader(java.lang.String, int), javax.servlet.http.HttpServletResponseWrapper#getHeaderNames(), javax.servlet.http.HttpServletResponseWrapper#flushBuffer(), javax.servlet.http.HttpServletResponseWrapper#getOutputStream(), javax.servlet.http.HttpServletResponseWrapper#getLocale(), javax.servlet.http.HttpServletResponseWrapper#setLocale(java.util.Locale), javax.servlet.http.HttpServletResponseWrapper#isWrapperFor(java.lang.Class), javax.servlet.http.HttpServletResponseWrapper#isWrapperFor(javax.servlet.ServletResponse), javax.servlet.http.HttpServletResponseWrapper#getContentType(), javax.servlet.http.HttpServletResponseWrapper#setContentType(java.lang.String), javax.servlet.http.HttpServletResponseWrapper#setContentLength(int), javax.servlet.http.HttpServletResponseWrapper#reset(), javax.servlet.http.HttpServletResponseWrapper#getWriter(), javax.servlet.http.HttpServletResponseWrapper#setBufferSize(int), javax.servlet.http.HttpServletResponseWrapper#getResponse(), javax.servlet.http.HttpServletResponseWrapper#getBufferSize(), javax.servlet.http.HttpServletResponseWrapper#resetBuffer(), javax.servlet.http.HttpServletResponseWrapper#isCommitted(), javax.servlet.http.HttpServletResponseWrapper#setResponse(javax.servlet.ServletResponse), javax.servlet.http.HttpServletResponseWrapper#setCharacterEncoding(java.lang.String), javax.servlet.http.HttpServletResponseWrapper#getCharacterEncoding(), javax.servlet.http.HttpServletResponseWrapper#wait(long, int), javax.servlet.http.HttpServletResponseWrapper#wait(long), javax.servlet.http.HttpServletResponseWrapper#wait(), javax.servlet.http.HttpServletResponseWrapper#equals(java.lang.Object), javax.servlet.http.HttpServletResponseWrapper#toString(), javax.servlet.http.HttpServletResponseWrapper#hashCode(), javax.servlet.http.HttpServletResponseWrapper#getClass(), javax.servlet.http.HttpServletResponseWrapper#notify(), javax.servlet.http.HttpServletResponseWrapper#notifyAll()

Methods inherited from class javax.servlet.ServletResponseWrapper
javax.servlet.ServletResponseWrapper#flushBuffer(), javax.servlet.ServletResponseWrapper#getOutputStream(), javax.servlet.ServletResponseWrapper#getLocale(), javax.servlet.ServletResponseWrapper#setLocale(java.util.Locale), javax.servlet.ServletResponseWrapper#isWrapperFor(java.lang.Class), javax.servlet.ServletResponseWrapper#isWrapperFor(javax.servlet.ServletResponse), javax.servlet.ServletResponseWrapper#getContentType(), javax.servlet.ServletResponseWrapper#setContentType(java.lang.String), javax.servlet.ServletResponseWrapper#setContentLength(int), javax.servlet.ServletResponseWrapper#reset(), javax.servlet.ServletResponseWrapper#getWriter(), javax.servlet.ServletResponseWrapper#setBufferSize(int), javax.servlet.ServletResponseWrapper#getResponse(), javax.servlet.ServletResponseWrapper#getBufferSize(), javax.servlet.ServletResponseWrapper#resetBuffer(), javax.servlet.ServletResponseWrapper#isCommitted(), javax.servlet.ServletResponseWrapper#setResponse(javax.servlet.ServletResponse), javax.servlet.ServletResponseWrapper#setCharacterEncoding(java.lang.String), javax.servlet.ServletResponseWrapper#getCharacterEncoding(), javax.servlet.ServletResponseWrapper#wait(long, int), javax.servlet.ServletResponseWrapper#wait(long), javax.servlet.ServletResponseWrapper#wait(), javax.servlet.ServletResponseWrapper#equals(java.lang.Object), javax.servlet.ServletResponseWrapper#toString(), javax.servlet.ServletResponseWrapper#hashCode(), javax.servlet.ServletResponseWrapper#getClass(), javax.servlet.ServletResponseWrapper#notify(), javax.servlet.ServletResponseWrapper#notifyAll()

Constructor Detail

### GrailsPageResponseWrapper

    public GrailsPageResponseWrapper(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, com.opensymphony.module.sitemesh.PageParserSelector parserSelector)

Method Detail

### activateSiteMesh

    public void activateSiteMesh(java.lang.String contentType, java.lang.String encoding)

### addHeader

    @java.lang.Overrideif (name.toLowerCase().equals("content-type")) { // ensure ContentType is always set through setContentType()
    public void addHeader(java.lang.String name, java.lang.String value)

  Prevent content-length being set if page is parseable.

### clearBuffer

    protected void clearBuffer()

### deactivateSiteMesh

    public void deactivateSiteMesh()

### flushBuffer

    @java.lang.Overridepublic void flushBuffer() throws IOException {
    public void flushBuffer()

  Prevent buffer from being flushed if this is a page being parsed.

### getContents

    public char[] getContents()

### getOutputStream

    @java.lang.Override
    public javax.servlet.ServletOutputStream getOutputStream()

### getPage

    public com.opensymphony.module.sitemesh.Page getPage()

### getWriter

    @java.lang.Override
    public java.io.PrintWriter getWriter()

### isGspSitemeshActive

    public boolean isGspSitemeshActive()

### isSitemeshActive

    public boolean isSitemeshActive()

### isUsingStream

    public boolean isUsingStream()

### sendError

    @java.lang.Override
    public void sendError(int sc)

### sendError

    @java.lang.Override
    public void sendError(int sc, java.lang.String msg)

### sendRedirect

    @java.lang.Override}
    public void sendRedirect(java.lang.String location)

### setContentLength

    @java.lang.Overridepublic void setContentLength(int contentLength) {
    public void setContentLength(int contentLength)

  Prevent content-length being set if page is parseable.

### setContentType

    @java.lang.Override
    public void setContentType(java.lang.String type)

  Set the content-type of the request and store it so it can be passed to the com.opensymphony.module.sitemesh.PageParser.

### setHeader

    @java.lang.Overridepublic void setHeader(String name, String value) {
    public void setHeader(java.lang.String name, java.lang.String value)

  Prevent content-length being set if page is parseable.

### setStatus

    @java.lang.Override// route any content back to the original writer.  There shouldn't be any content, but just to be safe
    public void setStatus(int sc)

  If 'not modified' (304) HTTP status is being sent - then abort parsing, as there shouldn't be any body

Groovy Documentation